/*
** File: admxrcDrv.h  
** Project: ADM-XRC Driver
** Purpose: Defines entry points into VxWorks driver to be used in the
**          VxWorks shell.
**
** (C) Copyright Alpha Data 2016
**
**   debugLevel       A value that determines the amount of debug messages
**                    emitted on the console, where 0 is minimum and 10 is
**                    maximum.
*/

#if !defined(ADATA_ADMXRCDRV_H)
#define ADATA_ADMXRCDRV_H

#include <vxWorks.h>

extern STATUS
admxrcDrvStart(
  int debugLevel);

extern STATUS
admxrcDrvStop(
  int debugLevel);

extern STATUS
admxrcDrvCompStart(
  int debugLevel,
  BOOL bEnableVpdWrite,
  BOOL bPciAddress64Bit,
  unsigned int numCommonBuffer,
  unsigned int commonBufferSize,
  unsigned int commonBufferAlign);

extern unsigned int admxrcDrvEnableVpdWrite;
extern unsigned int admxrcDrvPciAddress64Bit;
extern unsigned int admxrcDrvPrimaryCommonBufferCount;
extern unsigned int admxrcDrvPrimaryCommonBufferAlignment;
extern unsigned int admxrcDrvPrimaryCommonBufferSizeLow;

#endif
