#
# identifiers.awk - script to generate header file for renaming global symbols
#                   in order to reduce kernel namespace pollution
#
# Output is header file for forced-inclusion that adds a prefix "admxrcDrv_" to
# all global symbols that do not already begin with admxrcDrv.
#
# Usage (in Makefile):
#
#    $(NM) <binary> | awk -f identifiers.awk >identifiers.h
#
BEGIN {
	print "/*";
	print "** identifiers.h - rename ADM-XRC VxWorks Driver global symbols to avoid kernel namespace pollution";
	print "**";
	print "** Autogenerated by identifiers.awk; do not edit";
	print "*/";
}

(NF == 3) && match($2, "^[A-TV-Z]$") && !match($3, "^admxrcDrv.+$") { print "#define " $3 " admxrcDrv_" $3; }
